### A free/open-source library for quantitative finance

Public Types | Public Member Functions
ForwardVanillaOption Class Reference
Financial instruments

Forward version of a vanilla option More...

`#include <ql/instruments/forwardvanillaoption.hpp>`

Inheritance diagram for ForwardVanillaOption:
[legend]

List of all members.

## Public Types

typedef ForwardOptionArguments < OneAssetOption::arguments > | arguments
typedef OneAssetOption::results | results

## Public Member Functions

| ForwardVanillaOption (Real moneyness, const Date &resetDate, const boost::shared_ptr< StrikedTypePayoff > &payoff, const boost::shared_ptr< Exercise > &exercise)
void | setupArguments (PricingEngine::arguments *) const
void | fetchResults (const PricingEngine::results *) const

## Detailed Description

Forward version of a vanilla option

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.

void fetchResults | ( | const PricingEngine::results * | r | ) | const`[virtual]`

When a derived result structure is defined for an instrument, this method should be overridden to read from it. This is mandatory in case a pricing engine is used.

Reimplemented from OneAssetOption.

Reimplemented in QuantoForwardVanillaOption.